7.6 What version of the floating license server daemons must I use?

Arm® development tools use FlexNet (formerly FLEXnet and FLEXlm) license management from Flexera Software. Utilities are provided for running a license server on the platforms supported by the tools.

Floating license server software consists of two parts:

  • The Arm floating license server vendor daemon armlmd.

  • The FlexNet floating license server daemon lmgrd.

You can upgrade to later versions of lmgrd, but are advised to use the version of armlmd provided with the latest Arm software you have installed. The latest floating license server utilities, including lmgrd and armlmd, can be obtained through Arm, from your tools installation media, download site, or from Arm License Support.

Older releases of the Arm license daemon are forwards compatible with later releases of lmgrd. For example, you can use armlmd version 9.2 together with lmgrd version 11.12.1.0. However it is best practice to use the latest Arm license utilities available.

Note:

If your floating license server is running Solaris 5.6, you cannot use FLEXnet version 9.0 utilities. Instead you must use version 9.2 utilities or higher.

The newer utilities, including the armlmd vendor daemon, can be requested from Arm if you do not already have a product DVD-ROM or CD-ROM with this version of FlexNet.

The latest Arm license daemon version used by DS-5 is that shown in the directory DS-5_install_directory\sw\FLEXnet_version.

Non-ConfidentialPDF file icon PDF version100952_0529_00_en
Copyright © 2011–2018 Arm Limited or its affiliates. All rights reserved.